%global project_version 1.0.17

Name:		oh-my-vagrant
Version:	1.0.17
Release:	1
Summary:	An easy to use dev environment for using vagrant with puppet, docker and more!
License:	AGPLv3+
URL:		https://github.com/purpleidea/oh-my-vagrant
Source0:	https://dl.fedoraproject.org/pub/alt/purpleidea/oh-my-vagrant/SOURCES/oh-my-vagrant-%{project_version}.tar.bz2
BuildArch:	noarch

Requires: vagrant >= 1.6.5
Requires: vagrant-libvirt >= 0.0.24
# git should really be a "suggests", since technically it's optional
Requires: git
Requires: polkit-pkla-compat
# these deps are "runtime" because vagrant-hostmanager is built in userspace
# if vagrant-hostmanager is ever packaged, then these deps should go away...
Requires: ruby-devel
Requires: gcc
Requires: gcc-c++
Requires: libvirt-devel

%description
An easy to use dev environment for using vagrant with puppet, docker and more!

%prep
%setup -c -q -T -D -a 0

%build

%install
rm -rf %{buildroot}
# _datadir is typically /usr/share/
install -d -m 0755 %{buildroot}/%{_datadir}/oh-my-vagrant/
cp -r oh-my-vagrant-%{project_version}/* %{buildroot}/%{_datadir}/oh-my-vagrant/
echo %{project_version} > %{buildroot}/%{_datadir}/oh-my-vagrant/VERSION

mkdir -p %{buildroot}/%{_bindir}
install -m 0755 oh-my-vagrant-%{project_version}/bin/omv.sh %{buildroot}/%{_bindir}/omv

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install oh-my-vagrant-%{project_version}/extras/vagrant.bashrc -m 0755 %{buildroot}%{_sysconfdir}/profile.d/oh-my-vagrant.sh

# pkla file for users in vagrant group
# NOTE: this can apparently give you root access, see:
# https://bugzilla.redhat.com/show_bug.cgi?id=1187019#c10
mkdir -p %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d/
install -m 0644 oh-my-vagrant-%{project_version}/extras/oh-my-vagrant.pkla %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d/oh-my-vagrant.pkla

%files
%attr(0755, root, root) %{_sysconfdir}/profile.d/oh-my-vagrant.sh
%{_datadir}/oh-my-vagrant/*
%{_bindir}/omv
%{_sysconfdir}/polkit-1/localauthority/50-local.d/oh-my-vagrant.pkla

# this changelog is auto-generated by git log
%changelog
* Thu Jan 28 2016 James Shubin <james@shubin.ca>
- (9e783ee) Add a system-less extern possibility for project code (HEAD -> master, tag: 1.0.17, origin/master)

* Thu Jan 28 2016 James Shubin <james@shubin.ca>
- (7702782) Travis: don't sully the homepage with broken test branches

* Wed Jan 27 2016 James Shubin <james@shubin.ca>
- (b241180) Wait for jenkins jobs to finish (tag: 1.0.16)

* Wed Jan 27 2016 James Shubin <james@shubin.ca>
- (0ad1701) Don't stop reading if a command eats up your stdin! (tag: 1.0.15)

* Tue Jan 26 2016 James Shubin <james@shubin.ca>
- (618ecbb) Add the jenkins get script for reference (tag: 1.0.14)

* Tue Jan 26 2016 James Shubin <james@shubin.ca>
- (403d351) Remove single quotes to try and fix test

* Tue Jan 26 2016 James Shubin <james@shubin.ca>
- (b444911) The tests file must use -i or functions like vssh won't load (tag: 1.0.13)

* Tue Jan 26 2016 James Shubin <james@shubin.ca>
- (35686b6) The vtest scripts needs to see the aliases and the right file (tag: 1.0.12)

* Tue Jan 26 2016 James Shubin <james@shubin.ca>
- (cb41f6e) Avoid warning in latest F23 about macro in comment (tag: 1.0.11)

* Tue Jan 26 2016 James Shubin <james@shubin.ca>
- (e36aa96) Add vtest+ and an initial test (tag: 1.0.10)

* Mon Jan 25 2016 James Shubin <james@shubin.ca>
- (3698fcd) Don't automatically run vdestroy

* Mon Jan 25 2016 James Shubin <james@shubin.ca>
- (bf02832) Add a proper vssh implementation

* Wed Jan 20 2016 James Shubin <james@shubin.ca>
- (6fff391) Add empty vtest

* Tue Dec 29 2015 James Shubin <james@shubin.ca>
- (0b2eccd) Add more buttons!

* Mon Dec 28 2015 James Shubin <james@shubin.ca>
- (1cb264b) Comment out the cleanup commands (tag: 1.0.9)

* Mon Dec 28 2015 James Shubin <james@shubin.ca>
- (1c12831) Added an example for ceph-deploy

* Sun Dec 20 2015 James Shubin <james@shubin.ca>
- (3a8c3e6) Mention the Debian work done by @ghantoos

* Tue Dec 15 2015 James Shubin <james@shubin.ca>
- (86e0d5d) Add FAQ entry about Windows

* Tue Dec 1 2015 James Shubin <james@shubin.ca>
- (55d2c37) Branch variable is accessible in a different way

* Tue Dec 1 2015 James Shubin <james@shubin.ca>
- (65b4c53) Add a sample git hook and the mechanism to run it

* Mon Nov 30 2015 James Shubin <james@shubin.ca>
- (6201731) Fight with Jenkins and live to see another day

* Sun Nov 29 2015 Joseph Frazier <1212jtraceur@gmail.com>
- (8a3554a) Fix broken links in README.md (origin/pr/138)

* Thu Nov 19 2015 James Shubin <james@shubin.ca>
- (e9831bd) Debian 8 now works with OMV (tag: 1.0.8)

* Thu Nov 19 2015 James Shubin <james@shubin.ca>
- (25eacfd) Split out family detection into a single location

* Thu Nov 19 2015 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (45708f0) Use --stdin for RHEL derivatives passwd only

* Thu Nov 19 2015 James Shubin <james@shubin.ca>
- (efd1089) CI script additions

* Mon Nov 16 2015 James Shubin <james@shubin.ca>
- (1abb4fd) Small line width fixup

* Mon Nov 16 2015 Vasiliy Kaygorodov <vkaygorodov@gmail.com>
- (553077e) Documented :poolid: and :repos: omv.yaml options (origin/pr/136)

* Sat Nov 7 2015 James Shubin <james@shubin.ca>
- (20f91be) Get duffy api key from environment (tag: 1.0.7)

* Sat Nov 7 2015 James Shubin <james@shubin.ca>
- (ba1e31c) Add a better default target to test for

* Sat Nov 7 2015 James Shubin <james@shubin.ca>
- (b329b49) Add some extra information into the ci script

* Sat Nov 7 2015 James Shubin <james@shubin.ca>
- (6ab51ce) Add handy centos-ci python script

* Sat Nov 7 2015 James Shubin <james@shubin.ca>
- (2178671) Fix small whitespace issue

* Sat Nov 7 2015 James Shubin <james@shubin.ca>
- (5fe1c9d) Add simple vagrant tests hooks

* Sat Nov 7 2015 James Shubin <james@shubin.ca>
- (15a5321) Silence errors about missing copr config if missing

* Sat Nov 7 2015 James Shubin <james@shubin.ca>
- (a7b06ea) Add simple bash script to install omv for CentOS 7.x

* Thu Oct 1 2015 James Shubin <james@shubin.ca>
- (28c404a) Update TODO file

* Sat Sep 26 2015 James Shubin <james@shubin.ca>
- (7f57202) Add a sync source option (tag: 1.0.6)

* Sat Sep 26 2015 James Shubin <james@shubin.ca>
- (e5993ca) Clean up sync issues

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (1195519) Add syncdir parameter (tag: 1.0.5)

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (ad8f44d) Docs need some serious love... There are a bunch of missing sections! (tag: 1.0.4)

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (ed32d70) Specify an initial working dir for vscreen and vsftp to use

* Mon Sep 21 2015 Christoph Görn <goern@redhat.com>
- (efa5c6d) add goern to the team, thanks for bringing this to life! (origin/pr/130)

* Wed Sep 16 2015 Scott Collier <emailscottcollier@gmail.com>
- (4bb20cb) i wanna be on the team! I had to fix the order to be on the team. (origin/pr/128)

* Tue Sep 15 2015 James Shubin <james@shubin.ca>
- (739470c) Make it easy to update oh-my-vagrant when you forget the command

* Tue Sep 15 2015 James Shubin <james@shubin.ca>
- (3cf9e50) Improve shell definition (tag: 1.0.3)

* Tue Sep 15 2015 James Shubin <james@shubin.ca>
- (2a83ee2) Clean up examples directory (tag: 1.0.2)

* Fri Sep 11 2015 James Shubin <james@shubin.ca>
- (faffda5) Update INSTALL file

* Fri Sep 4 2015 James Shubin <james@shubin.ca>
- (6cb874c) Add fonts used by logo

* Wed Sep 2 2015 Randy Barlow <rbarlow@redhat.com>
- (cc16b26) Add myself to AUTHORS. (origin/pr/126)

* Wed Sep 2 2015 James Shubin <james@shubin.ca>
- (208538d) Add test case for AUTHORS file order

* Wed Sep 2 2015 Máirín Duffy <duffy@redhat.com>
- (c955ce8) Adding logo to README (origin/pr/125)

* Wed Sep 2 2015 Máirín Duffy <duffy@redhat.com>
- (2d4dc01) Adding Oh My Vagrant! logo artwork - Fonts used are Pacifico and Alfa Slab One, both OFL fonts

* Sat Aug 29 2015 James Shubin <james@shubin.ca>
- (01ce5bb) Acknowledge all the contributors

* Sat Aug 29 2015 James Shubin <james@shubin.ca>
- (4e49c29) Fix minor phrasing issues

* Sat Aug 29 2015 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (9cb4562) Theres no centos-7 images - centos 7.0/7.1 those are; fixed word wrapping for long lines; changed wording in :vms documentation section a bit

* Sat Aug 29 2015 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (edf5601) Document :network parameter

* Sat Aug 29 2015 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (9c417d2) Document :namespace parameter

* Sat Aug 29 2015 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (40b611d) Document :image and :boxurlprefix

* Sat Aug 29 2015 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (84cc4f2) Extend :vms documentation; document :count parameter

* Sat Aug 29 2015 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (2b96896) Document :vms omv.yaml directive

* Sat Aug 29 2015 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (9bed25a) Adding myself to AUTHORS, as instructed (origin/pr/123)

* Fri Aug 28 2015 Peter Schiffer <pschiffe@redhat.com>
- (1503e93) Added 'reboot' option (tag: 1.0.1, origin/pr/120)

* Thu Aug 27 2015 James Shubin <james@shubin.ca>
- (8661ce6) Small cleanups

* Thu Aug 27 2015 Peter Schiffer <pschiffe@redhat.com>
- (aa587a3) Added FAQ about VIP in hosts file (origin/pr/119)

* Fri Aug 21 2015 Peter Schiffer <pschiffe@redhat.com>
- (b8765c0) Support updating of atomic host (origin/pr/116)

* Tue Aug 18 2015 James Shubin <james@shubin.ca>
- (81a1479) Update README to be easier to new contributors

* Tue Aug 18 2015 James Shubin <james@shubin.ca>
- (7f8034a) Add missing target name

* Tue Aug 18 2015 James Shubin <james@shubin.ca>
- (891a8e4) Cleanup test.sh file

* Tue Aug 18 2015 James Shubin <james@shubin.ca>
- (15ae6e6) Setup automatic travis testing

* Tue Aug 18 2015 James Shubin <james@shubin.ca>
- (28ec8c9) Add ruby-lint test to test case

* Tue Aug 18 2015 James Shubin <james@shubin.ca>
- (9a606d9) Fix some issues found by ruby-lint

* Mon Aug 17 2015 James Shubin <james@shubin.ca>
- (c3ea2bd) List latest blog post (tag: 1.0.0)

* Mon Aug 17 2015 James Shubin <james@shubin.ca>
- (065a400) This is actually optional, particular if not using puppet

* Mon Aug 17 2015 James Shubin <james@shubin.ca>
- (35b6c98) Add link to IRC channel

* Mon Aug 17 2015 James Shubin <james@shubin.ca>
- (05224d3) Add AUTHORS file to showoff our amazing contributors

* Mon Aug 17 2015 James Shubin <james@shubin.ca>
- (22d050d) Add basic test suite plumbing (tag: 0.0.33)

* Mon Aug 17 2015 James Shubin <james@shubin.ca>
- (e9c5384) Don't append extra status string to array (tag: 0.0.32)

* Mon Aug 17 2015 James Shubin <james@shubin.ca>
- (b03fe1e) Add missing end

* Sat Aug 15 2015 James Shubin <james@shubin.ca>
- (fb8e852) Update path to bash for greater compatibility

* Sat Aug 15 2015 James Shubin <james@shubin.ca>
- (0203f39) Simplify disks loop (tag: 0.0.31)

* Sat Aug 15 2015 Russell Tweed <rtweed@redhat.com>
- (ae484b2) add extra disk options

* Fri Aug 14 2015 Randy Barlow <rbarlow@redhat.com>
- (c85c796) Add an unsafe flag for KVM's unsafe volume cache. (tag: 0.0.30)

* Fri Aug 14 2015 Randy Barlow <rbarlow@redhat.com>
- (94534df) Use Spice/QXL for KVM guest video. (tag: 0.0.29)

* Thu Aug 13 2015 James Shubin <james@shubin.ca>
- (10f240a) Handle argv correctly as an array. (tag: 0.0.28)

* Thu Aug 13 2015 Carsten Clasohm <clasohm@redhat.com>
- (b292470) do not create directories when executing ssh-config

* Thu Aug 13 2015 John Browning <jobrowni@redhat.com>
- (3f03325) Fixed subscription-manager registration for rhel-7 (origin/pr/105)

* Tue Aug 11 2015 James Shubin <james@shubin.ca>
- (80609d7) Add a script to build a fake vagrant-libvirt RPM

* Mon Aug 10 2015 James Shubin <james@shubin.ca>
- (7a07bbc) Update puppet paths so they work properly in mainstream mode. (tag: 0.0.27)

* Mon Aug 10 2015 James Shubin <james@shubin.ca>
- (2e9e0c4) Ensure the sync path is picked up correctly in mainstream mode. (tag: 0.0.26)

* Mon Aug 3 2015 James Shubin <james@shubin.ca>
- (3a5e094) Fix scripts with `once` that didn't run. (tag: 0.0.25)

* Fri Jul 31 2015 James Shubin <james@shubin.ca>
- (a0ac180) Fix whitespace check error

* Fri Jul 31 2015 James Shubin <james@shubin.ca>
- (4773023) Correct the path for VERSION file (tag: 0.0.24)

* Fri Jul 31 2015 James Shubin <james@shubin.ca>
- (0d8b033) Add --version flag for users like goern who don't know about 'dnf info' (tag: 0.0.23)

* Fri Jul 31 2015 James Shubin <james@shubin.ca>
- (c59e59f) Cause xfs_growfs to still work on machines lacking findmnt -b (tag: 0.0.22)

* Thu Jul 30 2015 James Shubin <james@shubin.ca>
- (a0e2de3) The playbook path apparently needs an absolute path spec (tag: 0.0.21)

* Thu Jul 30 2015 James Shubin <james@shubin.ca>
- (1af9717) Fix boolean class. (tag: 0.0.20)

* Thu Jul 30 2015 James Shubin <james@shubin.ca>
- (8d33034) Add support for additional ansible extra args in a sane way. (tag: 0.0.19)

* Wed Jul 29 2015 James Shubin <james@shubin.ca>
- (c2b9b11) Improve tagging script (tag: 0.0.18)

* Wed Jul 29 2015 James Shubin <james@shubin.ca>
- (1a7f039) Add easy version tagging script (tag: 0.0.17)

* Wed Jul 29 2015 James Shubin <james@shubin.ca>
- (dbd6ae8) Allow dirty builds

* Wed Jul 29 2015 James Shubin <james@shubin.ca>
- (3d1922a) Improve build tracking

* Wed Jul 29 2015 James Shubin <james@shubin.ca>
- (92dd418) Add configurable cpu and memory support (tag: 0.0.16)

* Wed Jul 29 2015 James Shubin <james@shubin.ca>
- (e4740b2) Increase RAM for nested vm's.

* Wed Jul 29 2015 James Shubin <james@shubin.ca>
- (f854385) Make nested machines fatter too!

* Wed Jul 29 2015 James Shubin <james@shubin.ca>
- (2ea32e4) Add the ability to support vm nesting (tag: 0.0.15)

* Tue Jul 28 2015 James Shubin <james@shubin.ca>
- (acc8b53) Silence noisy sha1sum command

* Tue Jul 28 2015 James Shubin <james@shubin.ca>
- (c3c4a10) Use a better way to get the project $VERSION

* Tue Jul 28 2015 James Shubin <james@shubin.ca>
- (ac5a402) Automatically grow xfs root file systems that are abnormally small (tag: 0.0.14)

* Tue Jul 28 2015 James Shubin <james@shubin.ca>
- (2d30c1e) Add "runtime" build dependencies for vagrant-hostmanager (tag: 0.0.13)

* Mon Jul 27 2015 James Shubin <james@shubin.ca>
- (9478dea) Since a new version of hostmanager exists, specify which one we want. (tag: 0.0.12)

* Mon Jul 27 2015 James Shubin <james@shubin.ca>
- (620915e) Display and quit if no command is specified. (tag: 0.0.11)

* Thu Jul 9 2015 James Shubin <james@shubin.ca>
- (6f40c84) Add reply to FAQ entry...

* Thu Jul 9 2015 Scott Collier <emailscottcollier@gmail.com>
- (f520134) FAQ patch to find out why there are multiple interfaces created by default

* Thu Jul 9 2015 James Shubin <james@shubin.ca>
- (58926b7) Avoid typcasting errors (tag: 0.0.10)

* Thu Jul 9 2015 James Shubin <james@shubin.ca>
- (c38a691) Add the parsing for `reallyrm` from the file too. (tag: 0.0.9)

* Wed Jul 8 2015 James Shubin <james@shubin.ca>
- (d85c250) Don't try or warn about removals if reallyrm is set to nil

* Wed Jul 8 2015 James Shubin <james@shubin.ca>
- (63ad9cc) Add some links to new blog entries

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (996ce46) Ensure README.md is patched too, so that the sha1sum matches (tag: 0.0.8)

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (a249bc4) Avoid making a mess on users system (tag: 0.0.7)

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (efab567) Attempt to fix RPM conflict with polkit-pkla-compat (tag: 0.0.6)

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (696fd19) Add vagrant-hostmanager initial setup for ease of use (tag: 0.0.5)

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (d00235a) Add policykit helper so users get a good initial experience

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (8c6cf34) Update spec to include git dependency needed by the extern support

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (603cb90) Whitespace fix

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (6a6d1f2) Add copr build integration (tag: 0.0.4)

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (5000589) Update aliases so that they automatically use omv when present (tag: 0.0.3)

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (8ee3fda) Make RPM's from the Makefile (tag: 0.0.2)

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (ef16c73) Accurately check image names to ensure we pull a box if present

* Tue Jul 7 2015 James Shubin <james@shubin.ca>
- (ae7652d) The --help flag should actually work :)

* Mon Jul 6 2015 James Shubin <james@shubin.ca>
- (06597a7) Fix whitespace issues found by git diff --check

* Thu Jul 2 2015 James Shubin <james@shubin.ca>
- (cec25b9) Add shell provisioner option

* Thu Jul 2 2015 James Shubin <james@shubin.ca>
- (aa764ae) Add a mainstream mode to make packaged/installed omv easier (origin/feat/installable)

* Thu Jul 2 2015 James Shubin <james@shubin.ca>
- (8530734) Let the docker variable be used to specify which subdirs to look in

* Wed Jul 1 2015 Scott Collier <emailscottcollier@gmail.com>
- (2742951) adding a section to the FAQ about the hostmanager plugin requirements

* Wed Jul 1 2015 James Shubin <james@shubin.ca>
- (9627fc3) Small capitalization fixup for consistency.

* Wed Jul 1 2015 ncoghlan <ncoghlan@gmail.com>
- (5599b07) Suggested "getting started" docs enhancements

* Tue Jun 30 2015 James Shubin <james@shubin.ca>
- (d7c1f1b) Add some docs about some possible dependencies needed

* Fri Jun 26 2015 James Shubin <james@shubin.ca>
- (1a76750) Rename for consistency

* Fri Jun 26 2015 James Shubin <james@shubin.ca>
- (64b203a) Add slower kubernetes on atomic example

* Fri Jun 26 2015 James Shubin <james@shubin.ca>
- (1fa9140) Switch atomic example to latest F22

* Fri Jun 26 2015 James Shubin <james@shubin.ca>
- (a5da7e1) Add comment field to yaml file

* Tue Jun 16 2015 James Shubin <james@shubin.ca>
- (53962dc) Update server

* Fri May 29 2015 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (9607d41) Ansible provisioner: various fixes

* Wed May 27 2015 James Shubin <james@shubin.ca>
- (42e6686) Workaround issues with broken vagrant boxes

* Thu May 21 2015 James Shubin <james@shubin.ca>
- (85f216a) Add simple patch script to make new users lives easier

* Thu May 7 2015 James Shubin <james@shubin.ca>
- (de70781) Update arg to use --omv prefix instead

* Thu May 7 2015 James Shubin <james@shubin.ca>
- (3831a73) Update comment to refer to libvirt

* Thu May 7 2015 James Shubin <james@shubin.ca>
- (b408877) Add a method and alias for cleaning the erroneous entries.

* Thu May 7 2015 Randy Barlow <rbarlow@redhat.com>
- (68c0406) Add a note about the Freenode channel to README.

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (71a291e) Add missing update command line arg

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (4604d8e) Reorder reallyrm variable so it appears last.

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (93b32b2) Add atomic example, even if no fully working boxes exist yet.

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (4f904a7) Add simple ansible example

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (389e672) Clean up the old ansible example

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (45b53ee) Add missing keys to fake examples

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (b4c5611) Add new omv.yaml option to example

* Mon May 4 2015 James Shubin <james@shubin.ca>
- (a9f6275) Add RHEL example.

* Sat May 2 2015 James Shubin <james@shubin.ca>
- (d034180) Add new links to blog posts and screencasts!

* Fri May 1 2015 James Shubin <james@shubin.ca>
- (270a1bc) Add new update variable

* Fri May 1 2015 James Shubin <james@shubin.ca>
- (d215ce5) Make kubernetes events be more visible to the user.

* Thu Apr 30 2015 James Shubin <james@shubin.ca>
- (afb14a0) Strip off leading # mark.

* Fri Apr 24 2015 James Shubin <james@shubin.ca>
- (4f78f49) Fix formatting for indented lists

* Fri Apr 24 2015 James Shubin <james@shubin.ca>
- (9983163) Make vagrant-hostmanager easily consumable to users.

* Fri Apr 24 2015 James Shubin <james@shubin.ca>
- (3980457) Replace use of puppet with vagrant-hostmanager.

* Fri Apr 24 2015 James Shubin <james@shubin.ca>
- (936b6e5) Cleanup path joining.

* Fri Apr 24 2015 James Shubin <james@shubin.ca>
- (0249b0b) Add docker group if missing

* Thu Apr 23 2015 scollier <emailscottcollier@gmail.com>
- (f776a69) Adds the ability to update a VM

* Thu Apr 23 2015 Randy Barlow <rbarlow@redhat.com>
- (5272223) Vagrant is now available in F21!

* Tue Apr 21 2015 James Shubin <james@shubin.ca>
- (d8d1cb1) Workaround lack of docker group on atomic.

* Tue Apr 21 2015 James Shubin <james@shubin.ca>
- (e20529f) Use a more appropriate error message.

* Tue Apr 21 2015 James Shubin <james@shubin.ca>
- (b7e2342) Add missing kubernetes variable which is now supported.

* Tue Apr 21 2015 James Shubin <james@shubin.ca>
- (178c708) Update examples to 7.1

* Mon Apr 20 2015 James Shubin <james@shubin.ca>
- (c6d8261) Add common vagrant bashrc extras to this project.

* Mon Apr 20 2015 James Shubin <james@shubin.ca>
- (f3e2e6a) Detect RHEL variants even if they are of type atomic.

* Mon Apr 20 2015 James Shubin <james@shubin.ca>
- (b4f720a) Update new default image to CentOS 7.1

* Mon Apr 20 2015 James Shubin <james@shubin.ca>
- (85d3b22) Automatically support the Atomic host

* Fri Apr 17 2015 James Shubin <james@shubin.ca>
- (c6e020a) Fix a small provision ordering bug.

* Fri Apr 17 2015 James Shubin <james@shubin.ca>
- (cea09d3) Add a docker+kubernetes example file.

* Thu Apr 16 2015 James Shubin <james@shubin.ca>
- (1f26e5b) Add kubernetes support (feat/kubernetes)

* Wed Apr 8 2015 James Shubin <james@shubin.ca>
- (e17254c) Point to a real docker example app.

* Wed Apr 1 2015 James Shubin <james@shubin.ca>
- (040a404) Fix small nitpicks.

* Wed Apr 1 2015 Flavio Fernandes <ffernand@redhat.com>
- (2595f12) First draft attempt in getting support for VirtualBox

* Wed Apr 1 2015 James Shubin <james@shubin.ca>
- (5787ad6) Add docker build support to omv.

* Wed Apr 1 2015 James Shubin <james@shubin.ca>
- (f0aee26) Improve error message.

* Fri Mar 27 2015 aweiteka <aweiteka@redhat.com>
- (814e48e) Ensure that docker daemon is started.

* Fri Mar 27 2015 aweiteka <aweiteka@redhat.com>
- (0e3fb00) Don't replace insecure key.

* Thu Mar 26 2015 James Shubin <james@shubin.ca>
- (c4359c4) Allow the really_use_rm variable to be set by omv.yaml file.

* Thu Mar 26 2015 James Shubin <james@shubin.ca>
- (f099946) Add two examples of more advanced omv examples.

* Thu Mar 26 2015 James Shubin <james@shubin.ca>
- (6740920) Vagrant-builder now supports doing docker pull.

* Fri Mar 20 2015 James Shubin <james@shubin.ca>
- (b09aad5) Fix typo from lazy copy+paste.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (00cc0a6) Ignore untracked folders.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (895ff45) Add playbook variables for choosing which books to use.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (16bb7e6) Move the extern code to the correct place.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (c56d5bb) Fix gitignore typo.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (4fd436b) Add extern support for ansible.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (9eddb46) Move ansible "provisioner" to the inner loop.

* Tue Mar 3 2015 James Shubin <james@shubin.ca>
- (728f32b) Disable ansible host key checking since this is dev.

* Mon Mar 2 2015 James Shubin <james@shubin.ca>
- (bfb7b99) Add initial ansible support.

* Mon Feb 23 2015 James Shubin <james@shubin.ca>
- (43e10b9) Have a more sensible default for the poolid.

* Mon Feb 16 2015 James Shubin <james@shubin.ca>
- (735a283) Additional cleanups to reference new style omv.yaml configuration.

* Mon Feb 16 2015 Christoph Görn <goern@redhat.com>
- (a235ce2) Update .gitignore (origin/pr/64)

* Mon Feb 16 2015 Christoph Görn <goern@redhat.com>
- (aaf8d30) renamed vagrant.yaml to omv.yaml, just to make clear that this files belongs to oh-my-vagrant

* Mon Feb 16 2015 James Shubin <james@shubin.ca>
- (ea576af) Add a reminder that you might want to git clone --recursive.

* Mon Feb 9 2015 James Shubin <james@shubin.ca>
- (c240f04) Convert nil passwords to '' in case the auth file is missing.

* Fri Feb 6 2015 James Shubin <james@shubin.ca>
- (8fd2418) Speed up remote lookups.

* Thu Feb 5 2015 James Shubin <james@shubin.ca>
- (c97b2f7) Allow users to more easily specify local git repos with ~ in them.

* Wed Feb 4 2015 James Shubin <james@shubin.ca>
- (d913184) Update git repos that have newer patches upstream.

* Thu Jan 29 2015 James Shubin <james@shubin.ca>
- (11552ce) Add support for vagrant.yaml style module definitions.

* Mon Jan 26 2015 James Shubin <james@shubin.ca>
- (4de9a07) Work around puppetlabs RPM bug.

* Mon Jan 26 2015 James Shubin <james@shubin.ca>
- (cdff49f) Finally added some documentation for this project.

* Fri Jan 23 2015 James Shubin <james@shubin.ca>
- (e2d420e) Update to newer versions of puppet-puppet and puppet-yum.

* Thu Jan 22 2015 James Shubin <james@shubin.ca>
- (e69de46) Update to newest git master of puppetlabs stdlib.

* Thu Jan 22 2015 James Shubin <james@shubin.ca>
- (2c27fb1) Small nitpicks and cleanups... Major work by Vasyl!

* Sat Dec 13 2014 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (6e6e26c) Ensure all VMs IPs are set before the mainloop, so we can use all VMs IP data inside the mainloop

* Sat Dec 13 2014 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (20a9a40) Vim format string: removed `tabstop=4` - with `noexpandtabs` it's not needed. VIP definitions/usage returned. As per James in #62, it should be there, and "It should be the same for all machines."

* Sat Dec 13 2014 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (6fdfdaf) Added `noexpandtabs` and `tabstop=4` to vim format definition, and fixed tabbing

* Sat Dec 13 2014 Vasyl Kaigorodov <vkaigoro@redhat.com>
- (d021ebc) network2 removed. vagrant-ibvirt by itself allow to set static IPs to VMs by supplying `config.vm.ip = '1.2.3.4'` parameter. Thus, with Libvirt DHCP disabled, and supplying own IPs to each VM, we can have a decent working setup. Furthermore, /etc/hosts approach is completely fine here for name resolving purposes - neither of other approaches provide a flexibility of a plain text file. With Vagrant We're not intended to build a working root DNS servers setup and put it to production anyways :)

* Thu Dec 11 2014 Milan Zink <mzink@redhat.com>
- (97fa79f) Update warning for xdg gem.

* Wed Dec 10 2014 James Shubin <james@shubin.ca>
- (8f0b0ed) Path should be independent of runner of vagrant command.

* Wed Dec 10 2014 James Shubin <james@shubin.ca>
- (4b5670e) Whitespace cleanup.

* Wed Dec 10 2014 James Shubin <james@shubin.ca>
- (e71704f) Add xdg submodule.

* Wed Dec 10 2014 Milan Zink <mzink@redhat.com>
- (3b74832) Patch for require 'xdg' (will use local gem), Warning puts "<MSG>" changed to $stderr.puts <MSG>

* Wed Nov 19 2014 James Shubin <james@shubin.ca>
- (c02b4a7) Pull in the latest updates from the p4h module.

* Sat Nov 15 2014 James Shubin <james@shubin.ca>
- (a3e021d) Update TODO file.

* Tue Nov 11 2014 James Shubin <james@shubin.ca>
- (ae26397) Changed p4h to be a separate git submodule...

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (ef72e20) Add prep8. (origin/pr/9, origin/pr/6, origin/pr/40)

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (cefe702) Add prep7.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (66df3a2) Add prep6.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (27cda8f) Add prep5.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (f99bf41) Add prep4.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (b1a0a52) Add prep3.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (437cdaa) Add prep2.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (0afb4e1) Add the p4h branch ;)

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (3ad6b76) Ensure variable name isn't reused.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (2d37128) Only ignore vagrant.yaml in the main vagrant/ directory.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (dd95e29) Add an easy to use sync script.

* Sun Nov 2 2014 James Shubin <james@shubin.ca>
- (66f180b) Allow specifying a folder that the data comes from.

* Fri Oct 31 2014 James Shubin <james@shubin.ca>
- (e5631bf) Misc changes including the addition of my TODO file.

* Fri Oct 31 2014 James Shubin <james@shubin.ca>
- (ad5afa6) Have omv act as a cheap ENC that is implemented in puppet.

* Fri Oct 31 2014 James Shubin <james@shubin.ca>
- (2572cb2) Add necessary puppet submodules.

* Wed Oct 29 2014 James Shubin <james@shubin.ca>
- (173ff29) Add motd for fun.

* Wed Oct 29 2014 James Shubin <james@shubin.ca>
- (ae1990f) Remove node inheritance.

* Tue Oct 7 2014 James Shubin <james@shubin.ca>
- (41b2c0b) Fix small bug I introduced that blocked automatic vscreen usage.

* Wed Sep 24 2014 James Shubin <james@shubin.ca>
- (9194b84) Store the username and password in a separate file.

* Sun Sep 21 2014 James Shubin <james@shubin.ca>
- (eef0a7e) Fix copy+paste error. (tag: 0.0.1)

* Sun Sep 21 2014 James Shubin <james@shubin.ca>
- (6ac3a72) Moved .gitignore to correct folder.

* Wed Sep 17 2014 James Shubin <james@shubin.ca>
- (423fefe) Let the user disable repos with a # prefix.

* Wed Sep 17 2014 James Shubin <james@shubin.ca>
- (1421d24) Improved base box url management.

* Wed Sep 17 2014 James Shubin <james@shubin.ca>
- (4c93734) Stick the puppet master into the main machine loop. (origin/feat/single-loop)

* Mon Sep 15 2014 James Shubin <james@shubin.ca>
- (437d3b8) Pick a less confusing default namespace name.

* Thu Sep 4 2014 James Shubin <james@shubin.ca>
- (6dedf77) Add reference to the article I published about this code base.

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (67f1bb5) Rename project to something shorter and less stupid.

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (064396c) Be wordy with unsubscribe message. (origin/feat/subscription-manager)

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (fbb07b3) Make it easy to enable additional repos per vm.

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (5630ea5) Add the ability to unsubscribe in the right place.

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (678b920) Add glue to make it easy to use subscription-manager with vagrant.

* Wed Sep 3 2014 James Shubin <james@shubin.ca>
- (0e150bd) Add additional vm and docker infrastructure...

* Thu Aug 28 2014 James Shubin <james@shubin.ca>
- (d12b30e) Enable the use of docker load.

* Thu Aug 28 2014 James Shubin <james@shubin.ca>
- (4faa6c8) Initial commit of vagrant-puppet-docker-template...

